> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/liquidity-solutions/kyberswap-elastic/developer-guides/get-elastic-pool-addresses.md).

# Get Elastic Pool Addresses

Uncover The Best Pools

## Overview[​](https://docs.kyberswap.com/Classic/contract/fetching-pool-addresses#overview) <a href="#overview" id="overview"></a>

For each token pair, there are possibly many multiple pools with different configurations. As such, it is necessary to specify which pools are to be used for fetching token rates, trade execution and liquidity provision.

## Selecting the right pool

KyberSwap Elastic contract provides a function to get a specific pool. For each inputs including `tokenIn`, `tokenOut`, `fee` there will be an exact pool.

The input fee parameter can be:

* `8` in BPS \~ 0.008%
* `10`in BPS \~ 0.01%
* `40`in BPS \~ 0.04%
* `300`in BPS \~ 0.3%
* `1000`in BPS \~ 1%

### `getPool()`[​](https://docs.kyberswap.com/contract/get-pool#getpool) <a href="#getpool" id="getpool"></a>

Returns the pool address for a given pair of tokens and a swap fee. Note that the token order does not matter.

**Input**[**​**](https://docs.kyberswap.com/contract/get-pool#input)

| Field        | Type      | Explanation                                 |
| ------------ | --------- | ------------------------------------------- |
| `tokenA`     | `address` | contract address of either token0 or token1 |
| `tokenB`     | `address` | contract address of the other token         |
| `swapFeeBps` | `uint16`  | swap fee, in basis points                   |

**Output**[**​**](https://docs.kyberswap.com/contract/get-pool#output)

| Field  | Type      | Explanation                                                 |
| ------ | --------- | ----------------------------------------------------------- |
| `pool` | `address` | The pool address. Returns null address if it does not exist |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/liquidity-solutions/kyberswap-elastic/developer-guides/get-elastic-pool-addresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
